## org.apache.tools.ant.taskdefs
Class LoadFile

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.LoadFile

public final class LoadFile
extends Task

Load a file into a property

Since:
  Ant 1.5

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`LoadFile()`

Method Summary
`void` `addFilterChain(FilterChain filter)` Add the FilterChain element.
`void` `execute()` read in a source file to a property
`void` `setEncoding(java.lang.String encoding)` Encoding to use for input, defaults to the platform's default encoding.
`void` `setFailonerror(boolean fail)` If true, fail on load error.
`void` `setProperty(java.lang.String property)` Property name to save to.
`void` `setSrcFile(java.io.File srcFile)` Sets the file to load.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoadFile

    public LoadFile()

Method Detail

### setEncoding

    public final void setEncoding(java.lang.String encoding)

  Encoding to use for input, defaults to the platform's default encoding.

  For a list of possible values see http://java.sun.com/products/jdk/1.2/docs/guide/internat/encoding.doc.html .

  Parameters:
    `encoding` - The new Encoding value

### setProperty

    public final void setProperty(java.lang.String property)

  Property name to save to.

  Parameters:
    `property` - The new Property value

### setSrcFile

    public final void setSrcFile(java.io.File srcFile)

  Sets the file to load.

  Parameters:
    `srcFile` - The new SrcFile value

### setFailonerror

    public final void setFailonerror(boolean fail)

  If true, fail on load error.

  Parameters:
    `fail` - The new Failonerror value

### execute

    public final void execute()
                       throws BuildException

  read in a source file to a property

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

### addFilterChain

    public final void addFilterChain(FilterChain filter)

  Add the FilterChain element.

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.